import * as _nuxt_schema from '@nuxt/schema';
import { Composables } from 'bootstrap-vue-next';

type ConfigurationOption<T extends string> = Partial<Record<T, boolean>> & {
    all: boolean;
};
interface ModuleOptions {
    /**
     * There would be no reason to disable this, beyond conflicting auto imports. This should probably be left true
     *
     * @default true
     */
    composables: ConfigurationOption<keyof typeof Composables> | boolean;
}

declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { _default as default };
